Subject: Re: [PATCH 3/3] ARM: Enable Trusted Foundations for multiplatform ARM v7

From: Thierry Reding <[email-masked]>
Date: Tue, 16 Apr 2019 09:44:44 +0200

On Mon, Apr 15, 2019 at 10:23:57AM -0700, Tony Lindgren wrote:
> Hi Thierry,
> 
> * Thierry Reding <[email-masked]> [190411 09:19]:
> > --- a/arch/arm/configs/multi_v7_defconfig
> > +++ b/arch/arm/configs/multi_v7_defconfig
> > @@ -141,6 +141,7 @@ CONFIG_ARM_CPUIDLE=y
> >  CONFIG_ARM_ZYNQ_CPUIDLE=y
> >  CONFIG_ARM_EXYNOS_CPUIDLE=y
> >  CONFIG_KERNEL_MODE_NEON=y
> > +CONFIG_TRUSTED_FOUNDATIONS=y
> >  CONFIG_NET=y
> >  CONFIG_PACKET=y
> >  CONFIG_UNIX=y
> 
> I'm updating my branch for make savedefconfig clean-up
> for multi_v7_defconfig as posted earlier in thread
> "[PATCHv2 0/2] Update multi_v7_defconfig for dropped
> and moved options", looks like this commit causes
> a trivial merge conflict.
> 
> Can we consider your branch immutable for commit
> 8b695aa58cc4 ("ARM: Enable Trusted Foundations for
> multiplatform ARM v7")?

In general, the for-next branch from the Tegra tree is not stable. The
individual branches that make up for-next are. In this case it would be
for-5.2/arm/defconfig. However...

> I'd like to merge that one in to avoid an unecessary
> merge conflict.

It's slightly tricky because I generated the multi_v7_defconfig on top
of a different branch (because the TRUSTED_FOUNDATIONS symbol moves
around in that branch), so if you base your update on top of my branch,
the symbol will likely get moved around again.

Perhaps better would be if you provide a stable branch with the update
and then I can rebase this patch on top.

Would that work for you?

Thierry
_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel